Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.quartz.jobs
Class ScheduledDispatchJobConfig

    java.lang.Object
      org.mule.transport.quartz.config.AbstractJobConfig
          org.mule.transport.quartz.jobs.ScheduledDispatchJobConfig

All Implemented Interfaces:
  Serializable, MuleContextAware, JobConfig

    public class ScheduledDispatchJobConfig

extends AbstractJobConfig

The configuration for the `ScheduledDispatchJob` job.

See Also:
  Serialized Form

Constructor Summary
`ScheduledDispatchJobConfig()`

Method Summary
`String` | `getEndpointRef()`
`protected Class<? extends org.quartz.StatefulJob>` | `getStatefulJobClass()`
`protected Class<? extends org.quartz.Job>` | `getStatelessJobClass()`
`void` | `setEndpointRef(String endpointRef)`

Methods inherited from class org.mule.transport.quartz.config.AbstractJobConfig
`getGroupName, getJobClass, getJobGroupName, getMuleContext, isStateful, setGroupName, setJobGroupName, setMuleContext, setStateful`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduledDispatchJobConfig

    public ScheduledDispatchJobConfig()

Method Detail

### getEndpointRef

    public String getEndpointRef()

### setEndpointRef

    public void setEndpointRef(String endpointRef)

### getStatefulJobClass

    protected Class<? extends org.quartz.StatefulJob> getStatefulJobClass()

  Specified by:
    `getStatefulJobClass` in class `AbstractJobConfig`

### getStatelessJobClass

    protected Class<? extends org.quartz.Job> getStatelessJobClass()

  Specified by:
    `getStatelessJobClass` in class `AbstractJobConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.